<!doctype html>
<html lang="de">
	<head>
		<meta charset="utf-8"/>
		<title>Übung Handlebars - Vorlage</title>
		<script id="handlebars-Template" type="text/x-handlebars">
<table>
	<thead>
		<tr>
			<th>Titel</th>
			<th>Genre</th>
			<th>Preis</th>
		</tr>
	</thead>
	<tbody>
		{{#each books}}
		<tr>
			<th>{{title}}</th>
			<td>{{genre}}</td>
			<td>{{price}}</td>
		</tr>
		{{/each}}
	</tbody>
</table>
		</script>
	</head>
	<body>
		<form>
			<button type="button" id="execute">Execute Template</button>
		</form>

		<h2>Output</h2>
		<pre><code id="output"></code></pre>

		<h2>HTML</h2>
		<div id="outputRendered"></div>

		<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/handlebars.js/3.0.1/handlebars.js"></script>
		<script>
			(function($) {
				var input = $('#handlebars-Template');
				var output = $('#output');
				var outputRendered = $('#outputRendered');
				var data = {
					books: [
						{ 'title': 'XML Developer\'s Guide', 'genre' : 'Computer', 'price': 44.95 },
						{ 'title': 'Midnight Rain', 'genre' : 'Fantasy', 'price': 5.95 },
						{ 'title': 'Maeve Ascendant', 'genre' : 'Fantasy', 'price': 5.95 },
						{ 'title': 'Splish Splash', 'genre' : 'Romance', 'price': 4.95 }
					]
				};

				function renderHTML() {
					// compile the actual Template data
					var templateFunction = Handlebars.compile(input.html());

					// generate some HTML code from the compiled Template
					var generatedHtml = templateFunction(data);

					// write down generated HTML to DOM
					output.text(generatedHtml);
					outputRendered.html(generatedHtml);
				}

				$(function() {
					$('#execute').click(renderHTML);
				});
			})(jQuery);
		</script>
	</body>
</html>